### Signal

# Gio MountOperation::ask-question

#### Declaration

    void
    ask_question (
      GMountOperation* self,
      gchar* message,
      char** choices,
      gpointer user_data
    )

#### Description [src]

Emitted when asking the user a question and gives a list of choices for the user to choose from.

If the message contains a line break, the first line should be presented as a heading. For example, it may be used as the primary text in a `GtkMessageDialog`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`message`

  Type: `gchar*`

  String containing a message to display to the user.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`choices`

  Type: An array of `utf8`

  An array of strings for each possible choice.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.